## k3b-trinity 14.0.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( k3b )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
# EXAMPLE:
# include( CheckTypeSize )
# include( CheckCSourceCompiles )
# include( CheckCXXSourceCompiles )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS   "Enable all sane supported options" OFF )
option( WITH_LIBDVDREAD    "Enable support for libdvdread"    ${WITH_ALL_OPTIONS} )
option( WITH_MUSICBRAINZ   "Enable Musicbrainz support" OFF )
option( WITH_SYSTEM_LIBSAMPLERATE
    "Use system libsamplerate instead of bundled one" ON )
option( WITH_HAL           "Enable hal support" OFF )
option( WITH_DEBUG         "Enable extra debug" OFF )

# sound output plugins
option( WITH_ALSA     "Enable alsa support"             ${WITH_ALL_OPTIONS} )
option( WITH_ARTS     "Enable arts sound daemon support" ${WITH_ALL_OPTIONS} )

# decoder plugins
option( WITH_FFMPEG   "Enable support for decoding with ffmpeg"       ${WITH_ALL_OPTIONS} )
option( WITH_FFMPEG_ALL_CODECS "Enable support for all codecs provided by ffmpeg" OFF   )
option( WITH_FLAC     "Enable support for decoding flac files"        ${WITH_ALL_OPTIONS} )
option( WITH_SNDFILE  "Enable support for decoding via libsndfile"    ${WITH_ALL_OPTIONS} )
option( WITH_TAGLIB   "Enable support for taglib"                     ${WITH_ALL_OPTIONS} )
option( WITH_MAD      "Enable support for decoding mp3 via libmad"    ${WITH_ALL_OPTIONS} )
option( WITH_MUSEPACK "Enable support for decoding via musepack (mpcdec)" OFF )
option( WITH_VORBIS   "Enable support for en/decoding ogg via vorbis" ${WITH_ALL_OPTIONS} )
# Note: WITH_VORBIS enables both decoding and encoding
# Note: wave plugin build unconditionally due to it doesn't have any external deps
# Note: k3b requires some acient version of musepack

# encoder plugins
option( WITH_LAME          "Enable support for mp3 encoding via lame" ${WITH_ALL_OPTIONS} )
# see WITH_VORBIS
# Note: external and sox plugins are enabled by default due to they don't have
#       any additional build-time deps

# Note: permanently disabled options:
#       resmgr             - it seams to be completly outdated
#       cdrecord-suid-root - commented out in source code anyway
#       cam library - freebsd stuff should be added by somebody with bsd
#                     experience

##### options comments ##########################

# WITH_LIBDVDREAD     if disabled removes dvd reaping functionality
#                     requires libdvdread: http://dvdnav.mplayerhq.hu/
# WITH_MUSICBRAINZ    if enabled adds support for musicbrainz service for
#                        query metadata about audio cds
#                     requires media-libs/musicbrainz library: http://musicbrainz.org/doc/libmusicbrainz
# WITH_SYSTEM_LIBSAMPLERATE if disabled the bundled version of libsamplerate
#                              is used and staticaly linked into the k3b
#                           requires media-libs/libsamplerate: http://www.mega-nerd.com/SRC/
# WITH_HAL            if enabled use of hal daemon instead of libtdehw for
#                        device management
#                     depricated
# WITH_DEBUG          if enabled extra debug output is provided

# WITH_ALSA           if enabled build the alsa output driver; it's a good
#                        idea to enable it on a linux othervice sound playback
#                        may fallback to arts
# WITH_ARTS           if disabled disables fuctionality to play audio (files
#                        or CDs, not sure exactly)
#                     requires arts (an optional part of TDE)
# WITH_FFMPEG         if enabled build an ffmpeg decoding plugin
#                     requires ffmpeg
# WITH_FFMPEG_ALL_CODECS
#                     affects ffmpeg plugin
#                     if enabled makes ffmpeg to decode all formats is
#                       supports; this is untested and may result in some
#                       bugs: e.g. display of wrong length
# WITH_FLAC           if enabled build flac decoding plugin
#                     requires media-sound/flac: http://flac.sourceforge.net
# WITH_LAME           if enabled build mp3 encoding file via lame
#                     requires media-sound/lame: http://lame.sourceforge.net/
# WITH_TAGLIB         if enabled provides support for tags in mp3 and flac
#                     requires media-libs/taglib: https://taglib.github.io/
#                     note: make sence if either WITH_FLAC or WITH_LIBMAD is set
# WITH_SNDFILE        if enabled build libsndfile encoding plugin
#                     requires media-libs/libsndfile: http://www.mega-nerd.com/libsndfile
# WITH_MAD            if enabled build mp3 decoding plugin
#                     requires media-libs/libmad: http://mad.sourceforge.net
# WITH_MUSEPACK       if enabled build musepack decoding plugin
#                     requires musepack (libmpcdec): http://www.musepack.net
#                     WARNING k3b requires some acient version of musepack
# WITH_VORBIS         if enabled build ogg encoding/decoding plugin
#                     requires media-libs/libvorbis: http://xiph.org/vorbis


##### user requested modules ####################

option( BUILD_K3BSETUP "Build K3bSetup2 TDEControl module" OFF )
option( BUILD_DOC "Build documentation" ON )
# option( BUILD_TRANSLATIONS "Build translations" ON )

# Note: probably modern linux systems don't need BUILD_K3BSETUP; so it's
#       disabled by default


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### k3b directories ###########################

add_subdirectory( libk3b          )
add_subdirectory( libk3bdevice    )
add_subdirectory( plugins         )
add_subdirectory( src             )
add_subdirectory( tdefile-plugins )
add_subdirectory( tdeioslaves     )
tde_conditional_add_subdirectory( BUILD_K3BSETUP k3bsetup )
tde_conditional_add_subdirectory( BUILD_DOC doc )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## k3b-trinity 3.5.13.2

=== debian/changelog ===
k3b-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:20:45 +0200

k3b-trinity (1.0.5-4ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

k3b-trinity (1.0.5-4ubuntu0) jaunty; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 16 June 2009 11:18:00 -0600

k3b (1.0.5+kde4svn935857+really1.0.5-3ubuntu5) jaunty; urgency=low

  * Recompile with new cdbs, don't add gettext domains to .desktop files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 19:28:54 +0100

k3b (1.0.5+kde4svn935857+really1.0.5-3ubuntu4) jaunty; urgency=low

  * debian/k3b-rip-audiocd.desktop updated with translations
  * Associate solid actions:
    - Rip video dvd: debian/k3b-rip-videodvd.desktop added
  * Add burn actions to service menus:
    - debian/k3b-write-bin-image.desktop added
    - debian/k3b-write-iso-image.desktop added
  * debian/k3b-data.install: Add .desktop files
  * Thanks to Harald Sitter for the desktop-files.

 -- Andreas Wenning <awen@awen.dk>  Tue, 07 Apr 2009 07:53:50 +0200

k3b (1.0.5+kde4svn935857+really1.0.5-3ubuntu3) jaunty; urgency=low

  * Associate action with audio cd. (LP: #339163)
    - debian/k3b-rip-audiocd.desktop added
    - debian/k3b-data.install: Add .desktop file

 -- Andreas Wenning <awen@awen.dk>  Sat, 28 Mar 2009 17:10:10 +0100

k3b (1.0.5+kde4svn935857+really1.0.5) jaunty; urgency=low

  * Reupload trinity version... Latest Jaunty upload was a ppa test and
    shouldn't have reached the archives (not yet at least...)

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 08 Mar 2009 23:29:28 +0100

k3b (1.0.5-3ubuntu2) jaunty; urgency=low

  * Build without aRts support, LP: #320915.
  * Update debian/libk3b3.install file, fix FTBFS.
  * Add libvorbis-dev to Build-Depends field in debian/control, fix FTBFS.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 19 Feb 2009 16:31:54 +0100

k3b (1.0.5-3ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
   - remove build-dep on libdvdread-dev
   - libk3b3-extracodecs conflicts libk3b2-extracodecs
   - transitional libk3b2-extracodecs package
   - Do not recommend on kdebase-kio-plugins, kcontrol
   - Change recommend to suggest for vcdimager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Nov 2008 14:54:23 +0000

k3b (1.0.5-3) unstable; urgency=high

  * Acknowledge NMU (closes: #486112)
  * k3b: Add a versioned dependency on libk3b3 (closes: #486093)

 -- Francois Marier <francois@debian.org>  Fri, 20 Jun 2008 10:40:19 +1200

k3b (1.0.5-2.1) unstable; urgency=high

  * Non-maintainer upload, acked by uploader Fathi Boudra.
  * Add various missing replaces. (Closes: #486112)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 18 Jun 2008 18:37:36 +0200

k3b (1.0.5-2) unstable; urgency=low

  [ Michael Meskes ]
  * Moved changes in file src/k3b.desktop to a patch under debian/patches.

  [ Francois Marier ]
  * Sync with Ubuntu
    - Add kfile_k3b.so to k3b.install
    - libk3b3-extracodecs replaces libk3b2-extracodecs
  * Bump Standards-Version up to 3.8.0 (no changes)
  * Remove the KUBUNTU difference file

 -- Francois Marier <francois@debian.org>  Thu, 12 Jun 2008 14:20:20 +1200

k3b (1.0.5-1ubuntu6) intrepid; urgency=low

  * Add transitional package for libk3b2-extracodecs (LP: #268531)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 20 Sep 2008 02:27:00 +0200

k3b (1.0.5-1ubuntu5) intrepid; urgency=low

  * debian/control
    - Suggest transcode in k3b (LP: #249642)
    - Bump Standards-Version to 3.8.0

 -- Nathan Handler <nhandler@ubuntu.com>  Mon, 21 Jul 2008 17:44:59 -0500

k3b (1.0.5-1ubuntu4) intrepid; urgency=low

  * Change recommends to Suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jul 2008 09:40:00 +0100

k3b (1.0.5-1ubuntu3) intrepid; urgency=low

  * Move libffmpegdecoder to libk3b3-extracodecs, stop it bringing 
    libavcodecs51 onto the CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2008 10:42:21 +0000

k3b (1.0.5-1ubuntu2) intrepid; urgency=low

  * Move vcdimager to from recommends to suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2008 10:32:02 +0000

k3b (1.0.5-1ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes:
   - remove build-dep on libdvdread-dev	
   - 111_advice_kubuntu_restricted_extras.diff becomes
     kubuntu_111_advice_kubuntu_restricted_extras.diff and add "or
     kubuntu-restricted-extras."), -
  * Add libk3bffmpegdecoder.so to libk3b3.install
  * Add kfile_k3b.so to k3b.install
  * libk3b3-extracodecs replaces libk3b2-extracodecs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jun 2008 17:32:09 +0000

k3b (1.0.5-1) unstable; urgency=low

  * New upstream release (closes: #465430, #483218)
  * Remove the kubuntu prefix on debian/patches/kubuntu*

 -- Francois Marier <francois@debian.org>  Tue, 03 Jun 2008 14:07:47 +1200

k3b (1.0.4-9) unstable; urgency=low

  * Merging the Ubuntu and Debian packages
    - adding a new libk3b3-extracodecs package for the FFMPEG and MP3 codecs
    - moving to the "kde" section
    - now uses cdbs to keep track of our patches

 -- Francois Marier <francois@debian.org>  Sun, 25 May 2008 20:43:52 +1200

k3b (1.0.4-8ubuntu2) intrepid; urgency=low

  * Remove build-dep on libdvdread

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 May 2008 11:50:03 +0100

k3b (1.0.4-8ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Retained Build Depends on cdbs in debian/control
    (LP #226635)
    - Use cdbs for debian rules (allows for patches and .pot generation)
    - all the debian/patches files
    - libk3b2-extracodecs with usr/lib/trinity/libk3bmaddecoder.* AND usr/lib/trinity/libk3bffmpegdecoder.*


=== debian/control ===
Source: k3b-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: libdvdread4, libdvdread-dev, alsa, libasound2-dev, lame, libmp3lame-dev, debhelper (>= 6), quilt, cdbs (>= 0.4.52ubuntu18), kdelibs4-trinity-dev (>= 3.5.0), libflac++-dev (>= 1.1.2), flac, libdbus-tqt-1-dev, libhal-dev (>= 0.5.5.1), libhal-storage-dev (>= 0.5.5.1), libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev, chrpath, libavformat-dev, libavcodec-dev, libvorbis-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://www.k3b.org

Package: k3b-trinity
Architecture: any
Depends: ${shlibs:Depends}, wodim | cdrskin, cdparanoia (>= 3a9.8), genisoimage, kdelibs-data-trinity (>= 4:3.1.4-2), cdrdao (>= 1.1.7-5), k3b-data-trinity (= ${source:Version}), libk3b3-trinity (= ${binary:Version})
Recommends: dvd+rw-tools, libk3b3-extracodecs-trinity
Suggests: k3b-i18n-trinity, normalize-audio, toolame, sox, movixmaker-2, vcdimager (>= 0.7)
Replaces: libk3b3-trinity (<< 1.0.5-2)
Description: A sophisticated KDE CD burning application [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 It can be used to copy CDs and burn:
  - audio CDs (from wav, mp3 or ogg vorbis files)
  - data CDs and DVDs
  - mixed-mode CDs (CD-Extra support)
  - VCDs (1.1, 2.0 and SVCD)
  - ISO files (Joliet/Rockridge and El Torito support)
  - eMovix CDs

Package: k3b-data-trinity
Conflicts: k3b-trinity (<< 1.0.4-4)
Replaces: k3b-trinity (<< 1.0.5-2)
Architecture: all
Description: A sophisticated KDE CD burning application - data files [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 This package contains the required data files common to all architectures.

Package: libk3b-trinity-dev
Conflicts: libk3bcore-trinity-dev, libk3bplugin-trinity-dev, libk3btools-trinity-dev, libk3bproject-trinity-dev, k3blibs-trinity-dev, k3blibs-trinity
Section: libdevel
Architecture: any
Depends: libk3b3-trinity (= ${binary:Version})
Description: The KDE cd burning application library - development files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains development files.

Package: libk3b3-trinity
Section: libs
Architecture: any
Conflicts: libk3bcore-trinity, libk3bplugin-trinity, libk3btools-trinity, libk3bproject-trinity, k3blibs-trinity, libk3b2-trinity
Depends: ${shlibs:Depends}
Replaces: libk3b2-trinity, libk3b-trinity-dev (<< 1.0.5-2)
Description: The KDE cd burning application library - runtime files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries.

Package: libk3b3-extracodecs-trinity
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libk3b2-mp3-trinity
Replaces: libk3b2-mp3-trinity, libk3b2-extracodecs-trinity, libk3b3-trinity (<< 1.0.5-2)
Description: The KDE cd burning application library - extra decoders [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: libk3b2-extracodecs-trinity
Architecture: all
Priority: extra
Depends: libk3b3-extracodecs-trinity
Description: transitional package for K3b's extra decoders [Trinity]
 This is a dummy transitional package to enable a smooth transition from
 libk3b2-extracodecs to libk3b3-extracodecs.
 It may safely be removed after installation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde5
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS = --with-k3bsetup=no --with-extra-libs=/opt/trinity/lib --includedir="/opt/trinity/include/kde"

DEB_INSTALL_MANPAGES_k3b = debian/k3b.1

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp/

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## k3b-trinity 14.0.4

=== debian/changelog ===
k3b-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:06:43 +0200

=== debian/control ===
Source: k3b-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~), quilt, cdbs (>= 0.4.52ubuntu18), cmake, chrpath,
 tdelibs14-trinity-dev (>= 3.5.0), libdbus-tqt-1-dev,
 libdvdread4, libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
 libflac++-dev (>= 1.1.2), flac, libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev,
 libavformat-dev, libavcodec-dev, libvorbis-dev, libsamplerate0-dev, libsndfile1-dev
Standards-Version: 3.8.4
Homepage: http://www.k3b.org

Package: k3b-trinity
Architecture: any
Depends: ${shlibs:Depends}, wodim | cdrskin, cdparanoia (>= 3a9.8), genisoimage, tdelibs-data-trinity (>= 4:3.1.4-2), cdrdao (>= 1.1.7-5), k3b-data-trinity (= ${source:Version}), libk3b3-trinity (= ${binary:Version})
Replaces: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
Breaks: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
Recommends: dvd+rw-tools, libk3b3-extracodecs-trinity
Suggests: k3b-i18n-trinity, normalize-audio, toolame, sox, movixmaker-2, vcdimager (>= 0.7)
Description: A sophisticated TDE CD burning application [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 It can be used to copy CDs and burn:
  - audio CDs (from wav, mp3 or ogg vorbis files)
  - data CDs and DVDs
  - mixed-mode CDs (CD-Extra support)
  - VCDs (1.1, 2.0 and SVCD)
  - ISO files (Joliet/Rockridge and El Torito support)
  - eMovix CDs

Package: k3b-data-trinity
Conflicts: k3b-trinity (<< 1.0.4-4)
Architecture: all
Replaces: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
Breaks: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
Description: A sophisticated TDE CD burning application - data files [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 This package contains the required data files common to all architectures.

Package: libk3b-trinity-dev
Conflicts: libk3bcore-trinity-dev, libk3bplugin-trinity-dev, libk3btools-trinity-dev, libk3bproject-trinity-dev, k3blibs-trinity-dev, k3blibs-trinity
Section: libdevel
Replaces: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
Breaks: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
Architecture: any
Depends: libk3b3-trinity (= ${binary:Version})
Description: The TDE cd burning application library - development files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains development files.

Package: libk3b3-trinity
Section: libs
Architecture: any
Replaces: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
Breaks: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
Conflicts: libk3bcore-trinity, libk3bplugin-trinity, libk3btools-trinity, libk3bproject-trinity, k3blibs-trinity, libk3b2-trinity
Depends: ${shlibs:Depends}
Description: The TDE cd burning application library - runtime files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries.

Package: libk3b3-extracodecs-trinity
Section: libs
Architecture: any
Replaces: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
Breaks: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Conflicts: libk3b2-mp3-trinity
Description: The TDE cd burning application library - extra decoders [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: libk3b2-extracodecs-trinity
Architecture: all
Priority: extra
Replaces: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
Breaks: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
Depends: libk3b3-extracodecs-trinity
Description: transitional package for K3b's extra decoders [Trinity]
 This is a dummy transitional package to enable a smooth transition from
 libk3b2-extracodecs to libk3b3-extracodecs.
 It may safely be removed after installation.

Package: k3b-trinity-dbg
Priority: extra
Architecture: any
Depends: k3b-trinity (= ${binary:Version})
Recommends: tdelibs-trinity-dbg
Description: debugging symbols for K3b [Trinity]
 This package provides debugging symbols for all binary packages built from
 k3b source package. It's highly recommended to have this package installed
 before reporting any K3b crashes to either K3b developers or Debian
 package maintainers.

## k3b-trinity 14.0.5

=== debian/changelog ===
k3b-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:04:49 +0200

## k3b-trinity 14.0.6

=== debian/changelog ===
k3b-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:02:46 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Package: k3b-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, wodim | cdrskin, cdparanoia (>= 3a9.8), genisoimage, tdelibs-data-trinity (>= 4:3.1.4-2), cdrdao (>= 1.1.7-5), k3b-data-trinity (= ${source:Version}), libk3b3-trinity (= ${binary:Version})
-Replaces: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
-Breaks: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
+Replaces: k3b-trinity (<< 4:14.0.0~)
+Breaks: k3b-trinity (<< 4:14.0.0~)
 Recommends: dvd+rw-tools, libk3b3-extracodecs-trinity
 Suggests: k3b-i18n-trinity, normalize-audio, toolame, sox, movixmaker-2, vcdimager (>= 0.7)
 Description: A sophisticated TDE CD burning application [Trinity]
@@ -36,8 +36,8 @@
 Package: k3b-data-trinity
 Conflicts: k3b-trinity (<< 1.0.4-4)
 Architecture: all
-Replaces: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
-Breaks: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
+Replaces: k3b-data-trinity (<< 4:14.0.0~)
+Breaks: k3b-data-trinity (<< 4:14.0.0~)
 Description: A sophisticated TDE CD burning application - data files [Trinity]
  K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
  Its aim is to provide a very user friendly interface to all the tasks
@@ -48,8 +48,8 @@
 Package: libk3b-trinity-dev
 Conflicts: libk3bcore-trinity-dev, libk3bplugin-trinity-dev, libk3btools-trinity-dev, libk3bproject-trinity-dev, k3blibs-trinity-dev, k3blibs-trinity
 Section: libdevel
-Replaces: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
-Breaks: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
+Replaces: libk3b-trinity-dev (<< 4:14.0.0~)
+Breaks: libk3b-trinity-dev (<< 4:14.0.0~)
 Architecture: any
 Depends: libk3b3-trinity (= ${binary:Version})
 Description: The TDE cd burning application library - development files [Trinity]
@@ -62,8 +62,8 @@
 Package: libk3b3-trinity
 Section: libs
 Architecture: any
-Replaces: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
-Breaks: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
+Replaces: libk3b3-trinity (<< 4:14.0.0~)
+Breaks: libk3b3-trinity (<< 4:14.0.0~)
 Conflicts: libk3bcore-trinity, libk3bplugin-trinity, libk3btools-trinity, libk3bproject-trinity, k3blibs-trinity, libk3b2-trinity
 Depends: ${shlibs:Depends}
 Description: The TDE cd burning application library - runtime files [Trinity]
@@ -76,8 +76,8 @@
 Package: libk3b3-extracodecs-trinity
 Section: libs
 Architecture: any
-Replaces: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
-Breaks: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
+Replaces: libk3b3-extracodecs-trinity (<< 4:14.0.0~)
+Breaks: libk3b3-extracodecs-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Conflicts: libk3b2-mp3-trinity
 Description: The TDE cd burning application library - extra decoders [Trinity]
@@ -90,8 +90,8 @@
 Package: libk3b2-extracodecs-trinity
 Architecture: all
 Priority: extra
-Replaces: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
-Breaks: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
+Replaces: libk3b2-extracodecs-trinity (<< 4:14.0.0~)
+Breaks: libk3b2-extracodecs-trinity (<< 4:14.0.0~)
 Depends: libk3b3-extracodecs-trinity
 Description: transitional package for K3b's extra decoders [Trinity]
  This is a dummy transitional package to enable a smooth transition from

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS = --with-k3bsetup=no --with-extra-libs=/opt/trinity/lib --includedir="/opt/trinity/include/tde"

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"

DEB_INSTALL_MANPAGES_k3b = debian/k3b.1

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp/

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifndef _cdbs_class_cmake
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
endif
	touch debian/stamp-bootstrap

## k3b-trinity 14.0.8

=== debian/changelog ===
k3b-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:44:49 +0200

## k3b-trinity 14.0.9

=== debian/changelog ===
k3b-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:01:26 +0200

## k3b-trinity 14.0.10

=== debian/changelog ===
k3b-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: k3b-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~), quilt, cdbs (>= 0.4.52ubuntu18), cmake, chrpath,
+ debhelper (>= 9~), quilt, cdbs (>= 0.4.52ubuntu18), cmake, chrpath,
  tdelibs14-trinity-dev (>= 3.5.0), libdbus-tqt-1-dev,
- libdvdread4, libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
+ libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
  libflac++-dev (>= 1.1.2), flac, libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev,
  libavformat-dev, libavcodec-dev, libvorbis-dev, libsamplerate0-dev, libsndfile1-dev
 Standards-Version: 3.8.4
@@ -16,8 +16,8 @@
 Package: k3b-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, wodim | cdrskin, cdparanoia (>= 3a9.8), genisoimage, tdelibs-data-trinity (>= 4:3.1.4-2), cdrdao (>= 1.1.7-5), k3b-data-trinity (= ${source:Version}), libk3b3-trinity (= ${binary:Version})
-Replaces: k3b-trinity (<< 4:14.0.0~)
-Breaks: k3b-trinity (<< 4:14.0.0~)
+Replaces: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
+Breaks: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
 Recommends: dvd+rw-tools, libk3b3-extracodecs-trinity
 Suggests: k3b-i18n-trinity, normalize-audio, toolame, sox, movixmaker-2, vcdimager (>= 0.7)
 Description: A sophisticated TDE CD burning application [Trinity]
@@ -36,8 +36,8 @@
 Package: k3b-data-trinity
 Conflicts: k3b-trinity (<< 1.0.4-4)
 Architecture: all
-Replaces: k3b-data-trinity (<< 4:14.0.0~)
-Breaks: k3b-data-trinity (<< 4:14.0.0~)
+Replaces: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
+Breaks: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
 Description: A sophisticated TDE CD burning application - data files [Trinity]
  K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
  Its aim is to provide a very user friendly interface to all the tasks
@@ -48,8 +48,8 @@
 Package: libk3b-trinity-dev
 Conflicts: libk3bcore-trinity-dev, libk3bplugin-trinity-dev, libk3btools-trinity-dev, libk3bproject-trinity-dev, k3blibs-trinity-dev, k3blibs-trinity
 Section: libdevel
-Replaces: libk3b-trinity-dev (<< 4:14.0.0~)
-Breaks: libk3b-trinity-dev (<< 4:14.0.0~)
+Replaces: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
+Breaks: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
 Architecture: any
 Depends: libk3b3-trinity (= ${binary:Version})
 Description: The TDE cd burning application library - development files [Trinity]
@@ -62,8 +62,8 @@
 Package: libk3b3-trinity
 Section: libs
 Architecture: any
-Replaces: libk3b3-trinity (<< 4:14.0.0~)
-Breaks: libk3b3-trinity (<< 4:14.0.0~)
+Replaces: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
+Breaks: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
 Conflicts: libk3bcore-trinity, libk3bplugin-trinity, libk3btools-trinity, libk3bproject-trinity, k3blibs-trinity, libk3b2-trinity
 Depends: ${shlibs:Depends}
 Description: The TDE cd burning application library - runtime files [Trinity]
@@ -76,8 +76,8 @@
 Package: libk3b3-extracodecs-trinity
 Section: libs
 Architecture: any
-Replaces: libk3b3-extracodecs-trinity (<< 4:14.0.0~)
-Breaks: libk3b3-extracodecs-trinity (<< 4:14.0.0~)
+Replaces: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
+Breaks: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Conflicts: libk3b2-mp3-trinity
 Description: The TDE cd burning application library - extra decoders [Trinity]
@@ -90,8 +90,8 @@
 Package: libk3b2-extracodecs-trinity
 Architecture: all
 Priority: extra
-Replaces: libk3b2-extracodecs-trinity (<< 4:14.0.0~)
-Breaks: libk3b2-extracodecs-trinity (<< 4:14.0.0~)
+Replaces: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
+Breaks: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
 Depends: libk3b3-extracodecs-trinity
 Description: transitional package for K3b's extra decoders [Trinity]
  This is a dummy transitional package to enable a smooth transition from

## k3b-trinity 14.0.11

=== debian/changelog ===
k3b-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Sep 2021 04:36:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends:
- debhelper (>= 9~), quilt, cdbs (>= 0.4.52ubuntu18), cmake, chrpath,
- tdelibs14-trinity-dev (>= 3.5.0), libdbus-tqt-1-dev,
+ cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
+ tdelibs14-trinity-dev, libdbus-tqt-1-dev,
  libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
  libflac++-dev (>= 1.1.2), flac, libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev,
  libavformat-dev, libavcodec-dev, libvorbis-dev, libsamplerate0-dev, libsndfile1-dev

## k3b-trinity 14.0.12

=== debian/changelog ===
k3b-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 13 Feb 2022 16:18:26 +0100

## k3b-trinity 14.0.13

=== plugins/decoder/libsndfile/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/plugin
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${SNDFILE_LIBRARY_DIRS}
)


##### libk3blibsndfiledecoder (kpart) ###########

tde_add_kpart( libk3blibsndfiledecoder AUTOMOC
  SOURCES k3blibsndfiledecoder.cpp
  LINK tdecore-shared k3b-shared k3bdevice-shared
    ${SNDFILE_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE k3blibsndfiledecoder.plugin
  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
)

=== debian/changelog ===
k3b-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Sep 2022 05:40:27 +0200

## k3b-trinity 14.1.0

=== debian/changelog ===
k3b-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 21:15:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends:
- cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
- tdelibs14-trinity-dev, libdbus-tqt-1-dev,
+ cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
  libflac++-dev (>= 1.1.2), flac, libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev,
  libavformat-dev, libavcodec-dev, libvorbis-dev, libsamplerate0-dev, libsndfile1-dev

## k3b-trinity 14.1.1

=== debian/changelog ===
k3b-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Oct 2023 23:22:01 +0200

## k3b-trinity 14.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
@@ -20,18 +25,14 @@
 ##### include essential cmake modules ###########
 
 include( FindPkgConfig )
+include( CheckCSourceCompiles )
 include( CheckIncludeFile )
 include( CheckLibraryExists )
 include( CheckSymbolExists )
-# EXAMPLE:
-# include( CheckTypeSize )
-# include( CheckCSourceCompiles )
-# include( CheckCXXSourceCompiles )
 
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -48,7 +49,7 @@
 option( WITH_MUSICBRAINZ   "Enable Musicbrainz support" OFF )
 option( WITH_SYSTEM_LIBSAMPLERATE
     "Use system libsamplerate instead of bundled one" ON )
-option( WITH_HAL           "Enable hal support" OFF )
+option( WITH_TDEHWLIB      "Enable TDE hardware library support" ${WITH_ALL_OPTIONS} )
 option( WITH_DEBUG         "Enable extra debug" OFF )
 
 # sound output plugins
@@ -85,29 +86,25 @@
 # WITH_LIBDVDREAD     if disabled removes dvd reaping functionality
 #                     requires libdvdread: http://dvdnav.mplayerhq.hu/
 # WITH_MUSICBRAINZ    if enabled adds support for musicbrainz service for
-#                        query metadata about audio cds
+#                     query metadata about audio cds
 #                     requires media-libs/musicbrainz library: http://musicbrainz.org/doc/libmusicbrainz
 # WITH_SYSTEM_LIBSAMPLERATE if disabled the bundled version of libsamplerate
-#                              is used and staticaly linked into the k3b
-#                           requires media-libs/libsamplerate: http://www.mega-nerd.com/SRC/
-# WITH_HAL            if enabled use of hal daemon instead of libtdehw for
-#                        device management
-#                     depricated
+#                     is used and staticaly linked into the k3b
+#                     requires media-libs/libsamplerate: http://www.mega-nerd.com/SRC/
 # WITH_DEBUG          if enabled extra debug output is provided
-
 # WITH_ALSA           if enabled build the alsa output driver; it's a good
-#                        idea to enable it on a linux othervice sound playback
-#                        may fallback to arts
+#                     idea to enable it on a linux othervice sound playback
+#                     may fallback to arts
 # WITH_ARTS           if disabled disables fuctionality to play audio (files
-#                        or CDs, not sure exactly)
+#                     or CDs, not sure exactly)
 #                     requires arts (an optional part of TDE)
 # WITH_FFMPEG         if enabled build an ffmpeg decoding plugin
 #                     requires ffmpeg
 # WITH_FFMPEG_ALL_CODECS
 #                     affects ffmpeg plugin
 #                     if enabled makes ffmpeg to decode all formats is
-#                       supports; this is untested and may result in some
-#                       bugs: e.g. display of wrong length
+#                     supports; this is untested and may result in some
+#                     bugs: e.g. display of wrong length
 # WITH_FLAC           if enabled build flac decoding plugin
 #                     requires media-sound/flac: http://flac.sourceforge.net
 # WITH_LAME           if enabled build mp3 encoding file via lame
@@ -148,8 +145,8 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### k3b directories ###########################
@@ -161,7 +158,7 @@
 add_subdirectory( tdefile-plugins )
 add_subdirectory( tdeioslaves     )
 tde_conditional_add_subdirectory( BUILD_K3BSETUP k3bsetup )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_project_docs( BUILD_DOC )
 
 
 ##### write configure files #####################

=== src/fastscale/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### fastscale (static) ########################

set( fastscale_SRCS scale.cpp )

if( HAVE_X86_MMX )
  list( APPEND fastscale_SRCS asm_scale.S )

  # Force to use C compiler for asm_scale.S instead of ASM
  # because it contains mixed code - ASM with C definitions
  set_source_files_properties( asm_scale.S PROPERTIES LANGUAGE C )

  add_compile_options( -DHAVE_X86_MMX )
endif( )

tde_add_library( fastscale STATIC_PIC AUTOMOC
  SOURCES ${fastscale_SRCS}
  LINK tdecore-shared
)

=== debian/changelog ===
k3b-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 11 Apr 2024 02:16:54 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_TIME64_API         = $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX      = t64
else
DEB_TIME64_SUFFIX      =
endif


DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"


post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/libk3b3-trinity\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	   [ -d $$a ] || [ -f $$a.t64 ] || \
	   (cp -a $$a debian/libk3b3$(DEB_TIME64_SUFFIX)-$${a##*-} && mv $$a $$a.t64); \
	done
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	   -e "s/^Package: \\(libk3b3\\)-trinity$$/Package: \\1$(DEB_TIME64_SUFFIX)-trinity/" \
	   -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libk3b3-trinity\\)\\( [^,]*\|$$\)/\\1:\\2\\3/" \
	   -e "s/\\(libk3b3\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
	   debian/control
endif

clean::
	dh_testdir
	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	   mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/libk3b3$(DEB_TIME64_SUFFIX)-" | \
	xargs -r rm
	[ ! -f debian/control.t64 ] || \
	mv debian/control.t64 debian/control
endif

## k3b-trinity 14.1.3

=== debian/changelog ===
k3b-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Aug 2024 09:43:49 +0200
